﻿namespace HIPS.CommonSchemas.Cda
{
    /// <summary>
    /// Electronic Communication Detail. This object represents a telephone number,
    /// mobile number, fax number, pager number, email address or internet address.
    /// </summary>
    public class ElectronicCommunicationDetail
    {
        /// <summary>
        /// Gets or sets the value of the number or address.
        /// </summary>
        public string Detail { get; set; }

        /// <summary>
        /// Gets or sets the communication medium.
        /// </summary>
        public ElectronicCommunicationMedium Medium { get; set; }

        /// <summary>
        /// Gets or sets the usage of the communication method.
        /// </summary>
        public ElectronicCommunicationUsage Usage { get; set; }
    }
}